# eric6.Plugins.CheckerPlugins.CodeStyleChecker.eradicate

Removes commented-out Python code.

### Global Attributes

MULTILINE_ASSIGNMENT_REGEX
PARTIAL_DICTIONARY_REGEX
__version__

### Classes

None

### Functions

comment_contains_code | Return True comment contains code.
commented_out_code_line_numbers | Yield line numbers of commented-out code.
detect_encoding | Return file encoding.
filter_commented_out_code | Yield code with commented out code removed.
fix_file | Run filter_commented_out_code() on file.
main | Main entry point.
multiline_case | Return True if line is probably part of some multiline code.
open_with_encoding | Return opened file with a specific encoding.

## comment_contains_code

comment_contains_code(line, aggressive=True)

Return True comment contains code.

Up

## commented_out_code_line_numbers

commented_out_code_line_numbers(source, aggressive=True)

Yield line numbers of commented-out code.

Up

## detect_encoding

detect_encoding(filename)

Return file encoding.

Up

## filter_commented_out_code

filter_commented_out_code(source, aggressive=True)

Yield code with commented out code removed.

Up

## fix_file

fix_file(filename, args, standard_out)

Run filter_commented_out_code() on file.

Up

## main

main(argv, standard_out, standard_error)

Main entry point.

Up

## multiline_case

multiline_case(line, aggressive=True)

Return True if line is probably part of some multiline code.

Up

## open_with_encoding

open_with_encoding(filename, encoding, mode='r')

Return opened file with a specific encoding.

Up